/// <reference types="react" />
import { DataEmoji } from '../../dataUtils/DataTypes';
import { EmojiStyle } from '../../types/exposedTypes';
import './Emoji.css';
declare type ClickableEmojiProps = Readonly<BaseProps & {
    hidden?: boolean;
    showVariations?: boolean;
    hiddenOnSearch?: boolean;
    emoji: DataEmoji;
}>;
declare type BaseProps = {
    emoji?: DataEmoji;
    emojiStyle: EmojiStyle;
    unified: string;
    size?: number;
    lazyLoad?: boolean;
    getEmojiUrl?: GetEmojiUrl;
};
export declare function ClickableEmoji({ emoji, unified, hidden, hiddenOnSearch, emojiStyle, showVariations, size, lazyLoad, getEmojiUrl, }: ClickableEmojiProps): JSX.Element;
export declare function ViewOnlyEmoji({ emoji, unified, emojiStyle, size, lazyLoad, getEmojiUrl, }: BaseProps): JSX.Element | null;
export declare type GetEmojiUrl = (unified: string, style: EmojiStyle) => string;
export {};
